diff -r e909207e9ff1 -r c3c22256cb61 libgui/languages/ja_JP.ts
--- a/libgui/languages/ja_JP.ts	Fri Mar 30 17:47:12 2018 -0400
+++ b/libgui/languages/ja_JP.ts	Sat Mar 31 14:34:30 2018 +0900
@@ -4143,13 +4156,13 @@
     <message>
         <location line="-458"/>
         <source>Text inactive</source>
-        <translation type="unfinished"></translation>
+        <translation>テキストをインアクティブ</translation>
     </message>
     <message>
         <location line="-32"/>
         <location line="+45"/>
         <source>Active</source>
-        <translation type="unfinished"></translation>
+        <translation>アクティブ</translation>
     </message>
     <message>
         <location line="-142"/>
@@ -4222,7 +4235,7 @@
     <message>
         <location line="-463"/>
         <source>Enable Code Folding</source>
-        <translation type="unfinished"></translation>
+        <translation>コードの折りたたみを有効化</translation>
     </message>
     <message>
         <location line="+961"/>
@@ -4362,7 +4375,7 @@
     <message>
         <location line="+27"/>
         <source>Set focus to terminal when running a command from within another widget</source>
-        <translation type="unfinished"></translation>
+        <translation>他のウィジェットないでコマンド実行時，端末にフォーカスする</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -4393,7 +4406,7 @@
     <message>
         <location line="-478"/>
         <source>Graphic icons</source>
-        <translation type="unfinished"></translation>
+        <translation>グラフィクアイコン</translation>
     </message>
     <message>
         <location line="+60"/>
@@ -4428,12 +4441,12 @@
     <message>
         <location line="-136"/>
         <source>Number of characters before list is shown: </source>
-        <translation type="unfinished"></translation>
+        <translation>リストが表示される前の文字数</translation>
     </message>
     <message>
         <location line="+124"/>
         <source>Create nonexistent files without prompting</source>
-        <translation type="unfinished"></translation>
+        <translation>プロンプトなしに現在存在しないファイルを作成</translation>
     </message>
     <message>
         <location line="-728"/>
@@ -4463,12 +4476,12 @@
     <message>
         <location line="+231"/>
         <source>Show complete path in title</source>
-        <translation type="unfinished"></translation>
+        <translation>完全なパスを表示</translation>
     </message>
     <message>
         <location line="+131"/>
         <source>Number size as difference to editor font</source>
-        <translation type="unfinished"></translation>
+        <translation>エディタのフォントとのサイズの違い</translation>
     </message>
     <message>
         <location line="+124"/>
@@ -4478,7 +4491,7 @@
     <message>
         <location line="+65"/>
         <source>Comments (Octave)</source>
-        <translation type="unfinished"></translation>
+        <translatio>コメント (Octave)</translation>
     </message>
     <message>
         <location line="+11"/>
@@ -4493,47 +4506,47 @@
     <message>
         <location line="+31"/>
         <source>Long lines</source>
-        <translation type="unfinished"></translation>
+        <translation>長い行</translation>
     </message>
     <message>
         <location line="+25"/>
         <source>Break long lines at line length</source>
-        <translation type="unfinished"></translation>
+        <translation>長い行を行の長さで分断</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>Break lines only in comments</source>
-        <translation type="unfinished"></translation>
+        <translation>コメント内でのみ行の分断</translation>
     </message>
     <message>
         <location line="+60"/>
         <source>Line length</source>
-        <translation type="unfinished"></translation>
+        <translation>行の長さ</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Long line marker</source>
-        <translation type="unfinished"></translation>
+        <translation>長い行のマーカー</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Line</source>
-        <translation type="unfinished"></translation>
+        <translation>行</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Background</source>
-        <translation type="unfinished">背景</translation>
+        <translation>背景</translation>
     </message>
     <message>
         <location line="+38"/>
         <source>Wrap long lines at curent window border</source>
-        <translation type="unfinished"></translation>
+        <translation>現在のウィンドウの境界で長い行をラップ</translation>
     </message>
     <message>
         <location line="+153"/>
         <source>Auto insert after &quot;if&quot; etc.</source>
-        <translation type="unfinished"></translation>
+        <translation>&quot;if&quot; などの後に自動挿入</translation>
     </message>
     <message>
         <location line="+20"/>
@@ -4553,12 +4566,12 @@
     <message>
         <location line="+267"/>
         <source>Restore editor tabs from previous session on startup or when editor is shown again after closing</source>
-        <translation type="unfinished"></translation>
+        <translation>起動時またはエディタが閉じられ再び起動された際一つ前のセッションからエディタのタブをリストアする</translation>
     </message>
     <message>
         <location line="+105"/>
         <source>Close all files when the editor widget is closed/hidden</source>
-        <translation type="unfinished"></translation>
+        <translation>エディタウィジェットが閉じられるまたは隠されたらすべてのファイルを閉じる</translation>
     </message>
     <message>
         <location line="+120"/>
@@ -4584,7 +4597,7 @@
     <message>
         <location line="+35"/>
         <source>Colors for variable attributes</source>
-        <translation type="unfinished"></translation>
+        <translation>変数の属性の色anslation>
     </message>
     <message>
         <location line="+7"/>
@@ -4610,7 +4623,7 @@
         <location line="+3"/>
         <location line="+80"/>
         <source>Default</source>
-        <translation type="unfinished">既定</translation>
+        <translation>既定</translation>
     </message>
     <message>
         <location line="-71"/>
@@ -4640,27 +4653,27 @@
     <message>
         <location line="+90"/>
         <source>Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>変数エディタ</translation>
     </message>
     <message>
         <location line="+33"/>
         <source>Default row height</source>
-        <translation type="unfinished"></translation>
+        <translation>既定の行の幅</translation>
     </message>
     <message>
         <location line="+17"/>
         <source>20</source>
-        <translation type="unfinished"></translation>
+        <translation>20<translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Default column width</source>
-        <translation type="unfinished"></translation>
+        <translation>既定の列の幅</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Use Terminal Font</source>
-        <translation type="unfinished"></translation>
+        <translation>端末のフォントを使用する</translation>
     </message>
     <message>
         <location line="+27"/>
@@ -4675,7 +4688,7 @@
     <message>
         <location line="+7"/>
         <source>Plus font height</source>
-        <translation type="unfinished"></translation>
+        <translation>フォントの高さをプラス</translation>
     </message>
     <message>
         <location line="+17"/>
@@ -4690,7 +4703,7 @@
     <message>
         <location line="+23"/>
         <source>Variable Editor Colors</source>
-        <translation type="unfinished"></translation>
+        <translation>変数エディタの色</translation>
     </message>
     <message>
         <location line="+12"/>
@@ -4700,11 +4713,12 @@
     <message>
         <location line="-287"/>
         <source>HttpProxy</source>
-        <translation>HTTP Proxy</translation>
+        <translation>HTTP プロキシ</translation>
     </message>
     <message>
         <location line="-2179"/>
         <source>Icon set for dock widgets</source>
+        <translation>Dock widgets のためのアイコンセット</translation>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -4725,7 +4739,7 @@
     <message>
         <location line="+1509"/>
         <source>File handling</source>
-        <translation type="unfinished"></translation>
+        <translation>ファイル操作</translation>
     </message>
     <message>
         <location line="+526"/>
